%This script properly formats and averages out the added mass matrix data
%from WAMIT.

rho_w = 1025;

%Setting up the added mass matrix for no-wave zone.
Added_mass = dlmread('Neptune.1');
M_a = zeros(6,6);
row = Added_mass(:, 2);
col = Added_mass(:, 3);
val = Added_mass(:, 4);
T_gdf = diag([1, -1, -1, 1, -1, -1]);
for i = 1:length(val)
    M_a(row(i), col(i)) = rho_w*val(i);
end
M_a = T_gdf*M_a*T_gdf;
M_a_assym = M_a;
for i = 1:6
    for j = 1:6
        M_avg = (M_a(i,j) + M_a(j,i))/2;
        M_a(i,j) = M_avg;
        M_a(j,i) = M_avg;
    end
end
format shortG;
dlmwrite('Added Mass.txt', M_a,'\t');